{% extends "preferences/base.html" %}
{% load i18n static breadcrumbs %}


{% block breadcrumbs %}
  {{ block.super }}
  {% translate "Preferences" as title %}
  {% breadcrumb title "preferences:overview" %}
  {% breadcrumb object "preferences:base-detail" pk=object.pk %}
{% endblock %}

{% block content %}
  <div class="card preferences-item preferences-item-card"
       id="base-preference-detail-{{ object.id }}"
       hx-trigger="medux:scopedpreference:added from:body"
       hx-get="{% url 'preferences:base-detail' object.pk %}"
       hx-target="#base-preference-detail-{{ object.id }}"
       hx-select="#base-preference-detail-{{ object.id }}"
       hx-disinherit="*" {# don't let e.g. hx-trigger apply to buttons inside #}
  >
    <div class="card-header">
      <div>
        <h3 class="card-title">
          <i class="bi bi-{{ object.icon }}"></i> {{ object.namespace }}.{{ object.key }}
        </h3>
        <p class="card-subtitle">
          {{ object.help_text }}
        </p>
      </div>
      <div class="card-actions">
        {% for scope in scopes %}
          {% with scope.display_name as display_name %}
            {% if not scope in available_scopes %}
              {# Wrapper for button to display disabled title #}
              <div class="d-inline-block"
                   title="{% blocktranslate %}It is not possible to add another setting for '{{ display_name }}'.{% endblocktranslate %}">
            {% endif %}
          {# TODO: check scoped permissions for displaying buttons: change_own_<scope>_scopedpreference etc. #}
          <button class="btn btn-secondary"
                  {% if not scope in available_scopes %}disabled{% endif %}
                  title="{% blocktranslate %}Add new setting for {{ display_name }}{% endblocktranslate %}"
                  hx-get="{% url 'preferences:add' object.pk scope.name|lower %}"
                  hx-target="#dialog"
          >
            <i class="bi bi-plus"></i> <i class="fs-4 bi bi-{{ scope.icon }}"></i>
          </button>

          {% if not scope in available_scopes %}
            </div>
          {% endif %}
          {% endwith %}
        {% endfor %}
      </div>
    </div>
    {% if error_msg %}
      <div class="card-body border-bottom">
        <div class="card-text mb-2 alert alert-danger">{{ error_msg }}</div>
      </div>
    {% endif %}
    <div class="table-responsive"
         id="scopedpreference-item-list"
    >
      <div class="list-group list-group-flush list-group-hoverable">
        {% for scopedpreference in scopedpreferences %}
          {% include 'preferences/scopedpreference_item.html' with object=scopedpreference %}
        {% endfor %}
      </div>

    </div>
    {#    <div class="card-footer">#}
    {#    </div>#}
  </div>
{% endblock %}
